#
# spec file for package permissions (Version 2010.04.23.1140)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           permissions
License:        GPLv2+
Group:          Productivity/Security
AutoReqProv:    on
Version:        2010.04.23.1140
Release:        1
Provides:       aaa_base:/etc/permissions
Requires:       /sbin/SuSEconfig
PreReq:         %fillup_prereq
Summary:        SUSE Linux Default Permissions
Source:         permissions-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://gitorious.org/opensuse/permissions

%description
This package contains specifications for permissions of specific files,
directories, and devices depending on the local security settings. The
local security setting (easy, secure, or paranoid) can be configured in
/etc/sysconfig/security.



Authors:
--------
    Werner Fink
    Roman Drahtmüller
    Michael Schröder
    Ludwig Nussel

%prep
%setup -q

%build
make %{?jobs:-j%jobs} CFLAGS="-W -Wall $RPM_OPT_FLAGS"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
%{fillup_only -n security}

%files
%defattr(-,root,root,-)
%config /etc/permissions
%config /etc/permissions.easy
%config /etc/permissions.secure
%config /etc/permissions.paranoid
%config(noreplace) /etc/permissions.local
%{_bindir}/chkstat
%{_mandir}/man8/chkstat.8*
/sbin/conf.d/SuSEconfig.permissions
/var/adm/fillup-templates/sysconfig.security

%changelog
